const request = require('request')

class Polls {
  getAll(number) {
    return new Promise((resolve, reject) => {
      request.get(`https://polls.apiblueprint.org/questions/${number}`, (err, res, body) => {
        if (err) {
          return reject(err)
        }
        if (res.statusCode >= 200 || res.statusCode <= 299) {
          resolve(JSON.parse(body))
        }
        reject(res)
      })
    })
  }
}
module.exports = new Polls()
